g.gui.timeline(1)

NAME
g.gui.timeline - Allows comparing temporal datasets by displaying their temporal extents in a plot.

KEYWORDS
general, GUI, temporal, plot

SYNOPSIS
g.gui.timeline
g.gui.timeline --help
g.gui.timeline [-3] [inputs=name[,name,...]] [--help] [--verbose] [--quiet] [--ui]

  Flags:

-3
    Show also 3D plot of spatio-temporal extents

--help
    Print usage summary

--verbose
    Verbose module output

--quiet
    Quiet module output

--ui
    Force launching GUI dialog

  Parameters:

inputs=name[,name,...]
    Name of the input space time datasets

DESCRIPTION
The Timeline Tool is a wxGUI component which allows the user to compare the extents of temporal datasets (strds, stvds, str3ds) in a plot.

Supported features:

    •   temporal datasets with interval/point and absolute/relative time

    •   2D plots - temporal extent

    •   3D plots - spatio-temporal extent (matplotlib >= 1.0.0)

    •   pop-up annotations with basic metadata

NOTES
g.gui.timeline requires the Python plotting library Matplotlib.

SEE ALSO
Temporal data processing
wxGUI
wxGUI components

AUTHOR
Anna Kratochvilova, Czech Technical University in Prague, Czech Republic

SOURCE CODE

Available at: wxGUI Timeline Tool source code (history)

Latest change: Saturday Jul 16 18:18:43 2022 in commit: 1961472afeb7633c9b744b0a60c923fb9b1d4411

Main index | GUI index | Topics index | Keywords index | Graphical index | Full index

© 2003-2022 GRASS Development Team, GRASS GIS 8.3.dev Reference Manual